#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H
#define N_STRIPS 32

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"
#include "TH2F.h"
#include <sys/stat.h>

class RHB_Custom : public FEventProcessorThread 
{
	protected:
        FParam **ELEC_X_QDC;
        FParam **ELEC_Y_QDC;
        FParam *tx;
        FParam *ty;

        FParamBrutSimple *charge_X_sum;
        FParamBrutSimple *charge_Y_sum;
        FParamBrutSimple *Time_ELEC_X;
        FParamBrutSimple *Time_ELEC_Y;

        Double_t t0x;
        Double_t t0y;
        Double_t t1x;
        Double_t t1y;

        Int_t elecX;
        Int_t elecY;
        Double_t sum_x_inst;
        Double_t sum_y_inst;

        TH1 *Map_inst;
        TH1 *Map_tot;
        Double_t q_X[N_STRIPS];
        Double_t q_Y[N_STRIPS];
        Double_t offXY[N_STRIPS][2];

        FParam *Count;
        FParam *tcount;

        FParamBrutSimple *Time_COUNT;

        Double_t t0c;
        Double_t t1c;
        long int Quanta_count;
        Double_t Mean_charge;

	FParam *thvn;
        FParam *thvp;

	FParamBrutSimple *Time_HV_N;
        FParamBrutSimple *Time_HV_P;
		
	Double_t t0hvn;
        Double_t t1hvn;
        Double_t t0hvp;
        Double_t t1hvp;	

	public:
	virtual void  InitParams     (void);
        virtual void  InitHistos     (void);
	virtual void  SetParamValues (void);

	ClassDef (RHB_Custom, 1)
};

#endif

